# Bestellung abrufen

Ruft eine angegebene Bestellung ab.

Endpoint: GET /v2/project/{project_id}/order/{order_id}
Version: 2.0.0
Security: AuthForCart

## Path parameters:

  - `project_id` (integer, required)
    Projekt-ID. Dieser Parameter wird im Kundenportal neben dem Projektnamen angezeigt sowie in der Adressleiste des Browsers, wenn Sie im Kundenportal ein Projekt geöffnet haben. Die URL hat das folgende Format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `order_id` (string, required)
    Bestell-ID.
    Example: "656"

## Response 200 fields (application/json):

  - `order_id` (integer)
    Bestell-ID.
    Example: 1

  - `status` (string)
    Bestellstatus. Eine ausführliche Beschreibung der Status finden Sie im Abschnitt [Lebenszyklus von Bestellungen](https://developers.xsolla.com/de/api/catalog/order-life-cycle).
    Enum: "new", "paid", "done", "canceled", "expired"

  - `content` (object)
    Bestelldetails.

  - `content.price` (object)
    Bestellpreis.

  - `content.price.amount` (string)
    Rabattierter Bestellpreis.
    Example: "30"

  - `content.price.amount_without_discount` (string)
    Bestellpreis.
    Example: "30"

  - `content.price.currency` (string)
    Währung des Bestellpreises. Dreistelliger Code pro [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `content.virtual_price` (object)
    Bestellpreis in virtueller Währung.

  - `content.virtual_price.amount` (string)
    Rabattierter Bestellpreis.
    Example: "100"

  - `content.virtual_price.amount_without_discount` (string)
    Bestellpreis.
    Example: "150"

  - `content.virtual_price.currency` (string)
    Die in der Bestellung verwendete SKU der virtuellen Währung.
    Example: "test_vc"

  - `content.is_free` (boolean)
    Ist true eingestellt, ist die Bestellung kostenlos.

  - `content.items` (array)
    Artikelliste.
    Example: [{"sku":"com.xsolla.item_1","quantity":1,"is_free":false,"price":{"amount":"30","amount_without_discount":"30","currency":"USD"}}]

  - `content.items.sku` (string)
    Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.
    Example: "some_sku"

  - `content.items.quantity` (integer)
    Artikelmenge.
    Example: 1

  - `content.items.is_free` (boolean)
    Ob der Artikel kostenlos ist.

  - `content.items.price` (object)
    Artikelpreis.

  - `content.items.price.amount` (string)
    Reduzierter Artikelpreis.
    Example: "30"

  - `content.items.price.amount_without_discount` (string)
    Artikelpreis.
    Example: "30"

  - `content.items.price.currency` (string)
    Währung des Artikelpreises. Dreistelliger Code pro [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 9001

  - `errorMessage` (string)
    Example: "[0401-9001]: Order not found"


